## Set working directory, replacing \ characters with
## \\ or / characters.

setwd("/home/andrew/Documents/Andrew/")

data <- read.csv("Quantification of protein - BGbu-1st run.csv", sep=";")

sum(data[c(1,9,17,25,33,41),4])

BG_ABm <- sum(data[c(1,9,17,25,33,41),4])
BG_Dm <- sum(data[c(2,10,18,26,34,42),4])
BG_ABp <- sum(data[c(3,11,19,27,35,43),4])
BG_Dp <- sum(data[c(4,12,20,28,36,44),4])
Bu_ABm <- sum(data[c(5,13,21,29,37,45),4])
Bu_CDm <- sum(data[c(6,14,22,30,38,46),4])
Bu_ABp <- sum(data[c(7,15,23,31,39,47),4])
Bu_CDp <- sum(data[c(8,16,24,32,40,48),4])

Data <- c(BG_ABm,BG_Dm,BG_ABp,BG_Dp,Bu_ABm,Bu_CDm,Bu_ABp,Bu_CDp)
names(Data) <- c("BG Ar 1","BG Ar 2","BG O2 1","BG O2 2","Bu Ar 1","Bu Ar 2","Bu O2 1","Bu O2 2")
DataFrame <- data.frame(x=names(Data), y=Data)

library(ggplot2)

p <- ggplot(data = DataFrame, aes(x = x, y = y, width = 0.85)) +
  geom_bar(stat="identity", position="identity") + labs(x="Condition", y="Protein concentration") + theme_grey() + 
  theme(axis.text.x = element_text(angle = 90, hjust = 1))

pdf("BG-BU_H2-pooled-barchart.pdf", width = 4, height = 4)
print(p)
dev.off()


p + geom_bar(stat = "identity", position = dodge) 
+
  geom_errorbar(limits, position = dodge, width = 0.25) +
  theme(axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.title.x=element_blank())